﻿@model RegulatoryDocument
<div class="modal-dialog max-w-550px" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Regulatory Document Upload</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="btn-close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form enctype="multipart/form-data" id="regulatory-document-upload-form">
            <input type="hidden" asp-for="Id" />
            <input type="hidden" asp-for="FirmId" value="@ViewBag.firmId" />
            <input asp-for="Guid" />
            <div class="modal-body">
                <div class="form-group">
                    <div class="dropzone dropzone-default dropzone-primary" id="regulatory-document-upload">
                        <div class="dropzone-msg dz-message needsclick">
                            <h3 class="dropzone-msg-title">Drop files here or click to upload.</h3>
                            <span class="dropzone-msg-desc">
                                The file size should not exceed 50mb and should be in proper format (i.e. All formats of images, audio, video, .pdf, .doc, .docx, .xls, .xlsx, .ppt, .pptx, .csv, .eps or .txt)
                            </span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold spinner-white spinner-right" id="btn_submit_upload">
                    <i class="fas fa-upload"></i>
                    <span id="upload-text">Upload</span>
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    clearDropzone();
    var dropzoneOptions = dropzoneDefaultOptions;
    dropzoneOptions.url = "adviser/home/regulatorydocumentupload";
    dropzoneOptions.sending = function (file, xhr, formData) {
        var frm = $("#regulatory-document-upload-form");
        formData.append("id", frm.find("#Id").val());
        formData.append("guid", frm.find("#Guid").val());
        formData.append("firmId", frm.find("#FirmId").val());
        initToastProgress();
    };
    dropzoneOptions.success = function (file, response) {        
        if (file.accepted) {
            var swalOptions = successSwalOptions;
            swalOptions.title = response.message;
            Swal.fire(swalOptions);

            var firmId = response.parentId;
            if (firmId > 0 && $(`#firm_list`).length) {
                if ($(`#firm_list_${firmId}:visible`).length == 0)
                    $(`#firm_list .datatable-toggle-subtable[data-value=${firmId}]`).click();

                if (window['sub_datatable_' + firmId] != undefined)
                    window['sub_datatable_' + firmId].reload();

                var el = $(`#firm_list [data-field='total'] .label-info[data-id='${firmId}']`);
                el.text(response.data.ragulatoryCount);
            }
            else
                window['datatable'].reload();
        }
        else {
            toastr.options = toastrOptions;
            toastr.error(response.message);
        }
    };
    $('#regulatory-document-upload').dropzone(dropzoneOptions);

    $(document).on("click", "#RegulatoryDocumentUploadModal #btn_submit_upload", function (e) {
        e.preventDefault();
        enableDisableUpload(true);
        Dropzone.forElement(".dropzone").processQueue();
    });
</script>
